Subject: Re: manual http authorization (no netrc)

From: tom fogal <[email-masked]>
Date: Sun, 09 Jan 2011 12:49:13 -0700

Tay Ray Chuan <[email-masked]> writes:
> On Fri, Jan 7, 2011 at 1:20 AM, tom fogal <[email-masked]> wrote:
> > I'm getting authorization errors when I lack a .netrc for an
> > http-based server. Specifically:
> >
> > =A0tf@shigeru tmp $ git clone http://myhost:port/git/io.git
> > =A0Cloning into io...
> > =A0Username:
> > =A0Password:
> > =A0error: The requested URL returned error: 401 (curl_result =3D 22, http=
> > _code =3D
[snip]
> hmm, can you try passing username and password in this manner
> 
>   http://<user>:<pwd>@server:port/
> 
> ?

Yes.  That worked!  Though it was very quiet; the only message I
got was "Cloning into io..."; no "remote:" messages or "Receiving "
messages.  That's neither here nor there, though.

> Also, does your username/password contain special, non-alphanumeric
> characters? I remember there was a change to how we handled those
> some time ago.

Nope, both would encode fine in 7bit ascii.

Thanks much for the workaround,

-tom